Charge a customer

Charge a customer for one or more invoices.

Charging a customer follows a set of rules.

  • Customer authorization: The customer authorizedToCharge field must be set as true for you to charge the customer for invoices. Set charge customer authorization with POST /v3/customers/{customerId}/charge-authorization.
  • Customer bank account: A customer bank account is required for you to charge a customer. Create a customer bank account with POST /v3/customers/{customerId}/bank-accounts.
Body Params
string
required

BILL-generated ID of the customer. The value begins with 0cu.

fundingAccount
object
required

Customer funding account information

string

Invoice payment description. This value is included in the check memo or in the bank descriptor for electronic payments.

date

Received payment date. Funds are withdrawn from the customer bank account on this date.This value is in the yyyy-MM-dd format.

invoicePayments
array of objects
required

List of invoices to be paid

invoicePayments*
Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json